"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;

exports.__esModule = true;
exports.default = loadConfigFile;

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _paths = _interopRequireDefault(require("../config/paths"));

var _path = _interopRequireDefault(require("path"));

var _lodash = require("lodash");

function loadConfigFile(webpackConfig, options = {}) {
  const configFile = _path.default.resolve(_paths.default.root, options.configFile || "./packez.config.js");

  if (_fsExtra.default.existsSync(configFile)) {
    let config = require(configFile);

    if ((0, _lodash.isFunction)(fn)) {
      config = fn();
    }

    if (config.webpack) {
      webpackConfig = config.webpack(webpackConfig) || webpackConfig;
    }
  }

  return webpackConfig;
}